GETapi.synup.com/api/v4/locations/listings/duplicates
Get all duplicate listings for an account
This API retrieves a paginated list of all duplicate listings detected within the account, with optional filtering
Requires an API key. Send it as
Authorization: API <your-key> — see Getting started.Parameters
Query
| Name | Type | Required | Description |
|---|---|---|---|
tag | string | optional | Filter duplicates by location tag |
page | integer | optional | Page number for pagination |
Headers
| Name | Type | Required | Description |
|---|---|---|---|
Content-Type | string | required |
Request
Request
curl -X GET 'https://api.synup.com/api/v4/locations/listings/duplicates?tag=&page=' \
-H 'Authorization: API YOUR_API_KEY' \
-H 'Content-Type: application/json'const res = await fetch('https://api.synup.com/api/v4/locations/listings/duplicates?tag=&page=', {
method: 'GET',
headers: {
Authorization: 'API YOUR_API_KEY',
'Content-Type': 'application/json',
},
});
const data = await res.json();import requests
res = requests.get(
"https://api.synup.com/api/v4/locations/listings/duplicates?tag=&page=",
headers={
"Authorization": "API YOUR_API_KEY",
"Content-Type": "application/json",
},
)
data = res.json()req, _ := http.NewRequest("GET", "https://api.synup.com/api/v4/locations/listings/duplicates?tag=&page=", nil)
req.Header.Set("Authorization", "API YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)Responses
| Status | Description |
|---|---|
200 | Duplicate listings retrieved successfully |
400 | Bad request - invalid parameters |
401 | Unauthorized - invalid or missing API key |
403 | Forbidden - insufficient permissions |
Example response
{
"data": {
"duplicateListingsRollup": {
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": false,
"totalPages": 2,
"totalRecords": 89
},
"records": [
{
"addressValid": false,
"categoryValid": null,
"city": "Chicago",
"countryCode": null,
"duplicateProcessingState": "POTENTIAL",
"id": "43843437",
"liveLink": "https://www.judysbook.com/Buffalo-Wild-Wings-Restaurants-chicago-r14401354.htm",
"locationId": "203040",
"name": "Buffalo Wild Wings",
"nameValid": true,
"originalLiveLink": "https://www.judysbook.com/Buffalo-Wild-Wings-BtoB%7eAccountants-Business-chicago-r39915056.htm",
"phone": "--- '7738689453'\n",
"phoneValid": true,
"postalCode": "60614",
"siteName": "Judys Book",
"siteUrl": "judysbook.com",
"state": "IL",
"street": "2464 North Lincoln Avenue"
}
]
}
}
}Response body
| Name | Type | Required | Description |
|---|---|---|---|
data | object | optional | |
data.duplicateListingsRollup | object | optional | |
data.duplicateListingsRollup.pageInfo | object | optional | |
data.duplicateListingsRollup.pageInfo.hasNextPage | boolean | optional | Indicates if there are more pages after the current one |
data.duplicateListingsRollup.pageInfo.hasPreviousPage | boolean | optional | Indicates if there are previous pages |
data.duplicateListingsRollup.pageInfo.totalPages | integer | optional | Total number of pages available |
data.duplicateListingsRollup.pageInfo.totalRecords | integer | optional | Total number of duplicate listings |
data.duplicateListingsRollup.records | array of object | optional | |
data.duplicateListingsRollup.records[].addressValid | boolean | optional | Indicates if the address matches the primary listing |
data.duplicateListingsRollup.records[].categoryValid | boolean | optional | Indicates if the business category matches |
data.duplicateListingsRollup.records[].city | string | optional | City name |
data.duplicateListingsRollup.records[].countryCode | string | optional | ISO country code |
data.duplicateListingsRollup.records[].duplicateProcessingState | string | optional | Current state of duplicate processingPOTENTIAL |
data.duplicateListingsRollup.records[].id | string | optional | Unique identifier for the duplicate listing |
data.duplicateListingsRollup.records[].liveLink | string | optional | URL of the duplicate listing |
data.duplicateListingsRollup.records[].locationId | string | optional | ID of the associated location |
data.duplicateListingsRollup.records[].name | string | optional | Business name |
data.duplicateListingsRollup.records[].nameValid | boolean | optional | Indicates if the business name matches |
data.duplicateListingsRollup.records[].originalLiveLink | string | optional | URL of the primary listing |
data.duplicateListingsRollup.records[].phone | string | optional | Phone number |
data.duplicateListingsRollup.records[].phoneValid | boolean | optional | Indicates if the phone number matches |
data.duplicateListingsRollup.records[].postalCode | string | optional | Postal/ZIP code |
data.duplicateListingsRollup.records[].siteName | string | optional | Name of the directory site |
data.duplicateListingsRollup.records[].siteUrl | string | optional | Base URL of the directory site |
data.duplicateListingsRollup.records[].state | string | optional | State/province code |
data.duplicateListingsRollup.records[].street | string | optional | Street address |